Loading...
Searching...
No Matches
odf.odf2xhtml.TagStack Class Reference

## Public Member Functions

| __init__ (self)
| push (self, tag, attrs)
| pop (self)
| stackparent (self)
| rfindattr (self, attr)
| Find a tag with the given attribute.
| count_tags (self, tag)

## Public Attributes

| stack

## Detailed Description

Definition at line 290 of file odf2xhtml.py.

## Constructor & Destructor Documentation

## __init__()

odf.odf2xhtml.TagStack.__init__ | ( |  | self | ) |

Definition at line 291 of file odf2xhtml.py.

## Member Function Documentation

## count_tags()

odf.odf2xhtml.TagStack.count_tags | ( |  | self,
|  |  | tag
| ) |  |

Definition at line 311 of file odf2xhtml.py.

## pop()

odf.odf2xhtml.TagStack.pop | ( |  | self | ) |

Definition at line 297 of file odf2xhtml.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## push()

odf.odf2xhtml.TagStack.push | ( |  | self,
|  |  | tag,
|  |  | attrs
| ) |  |

Definition at line 294 of file odf2xhtml.py.

## rfindattr()

odf.odf2xhtml.TagStack.rfindattr | ( |  | self,
|  |  | attr
| ) |  |

Find a tag with the given attribute.

Definition at line 306 of file odf2xhtml.py.

## stackparent()

odf.odf2xhtml.TagStack.stackparent | ( |  | self | ) |

Definition at line 301 of file odf2xhtml.py.

## Member Data Documentation

## stack

odf.odf2xhtml.TagStack.stack

Definition at line 292 of file odf2xhtml.py.

The documentation for this class was generated from the following file:

- odf/odf2xhtml.py